Cadastro CEST
Base: https://api.nivesistemas.com.br · 4 endpoints
GET /fiscal-cest
Seção intitulada “GET /fiscal-cest”Listar CEST
curl -X GET "https://api.nivesistemas.com.br/fiscal-cest" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/fiscal-cest", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/fiscal-cest", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())POST /fiscal-cest
Seção intitulada “POST /fiscal-cest”Criar CEST
Corpo (JSON)
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
code |
string | sim | Código CEST |
description |
string | não | Descrição |
Resposta: 201 Created
curl -X POST "https://api.nivesistemas.com.br/fiscal-cest" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo" \ -H "Content-Type: application/json" \ -d '{"code":"","description":""}'const res = await fetch("https://api.nivesistemas.com.br/fiscal-cest", { method: "POST", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", "Content-Type": "application/json", }, body: JSON.stringify({ "code": "", "description": "" }),});const data = await res.json();import requests
res = requests.request( "POST", "https://api.nivesistemas.com.br/fiscal-cest", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", }, json={ "code": "", "description": "" },)print(res.json())PATCH /fiscal-cest/:id
Seção intitulada “PATCH /fiscal-cest/:id”Atualizar CEST
Parâmetros de rota: id
Corpo (JSON)
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
code |
string | sim | Código CEST |
description |
string | não | Descrição |
curl -X PATCH "https://api.nivesistemas.com.br/fiscal-cest/{id}" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo" \ -H "Content-Type: application/json" \ -d '{"code":"","description":""}'const res = await fetch("https://api.nivesistemas.com.br/fiscal-cest/{id}", { method: "PATCH", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", "Content-Type": "application/json", }, body: JSON.stringify({ "code": "", "description": "" }),});const data = await res.json();import requests
res = requests.request( "PATCH", "https://api.nivesistemas.com.br/fiscal-cest/{id}", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", }, json={ "code": "", "description": "" },)print(res.json())DELETE /fiscal-cest/:id
Seção intitulada “DELETE /fiscal-cest/:id”Excluir CEST
Parâmetros de rota: id
Resposta: 204 No Content
curl -X DELETE "https://api.nivesistemas.com.br/fiscal-cest/{id}" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/fiscal-cest/{id}", { method: "DELETE", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "DELETE", "https://api.nivesistemas.com.br/fiscal-cest/{id}", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())
